# TdApi.MessageVideoNote (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: MessageVideoNote

Package it.tdlight.jni

# Class TdApi.MessageVideoNote

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageContent
it.tdlight.jni.TdApi.MessageVideoNote

Enclosing class:
  TdApi

    public static class TdApi.MessageVideoNote
    extends TdApi.MessageContent

A video note message.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`boolean` | `isSecret` | True, if the video note thumbnail must be blurred and the video note must be shown only while tapped.
`boolean` | `isViewed` | True, if at least one of the recipients has viewed the video note.
`TdApi.VideoNote` | `videoNote` | The video note description.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`MessageVideoNote()` | A video note message.
`MessageVideoNote​(TdApi.VideoNote videoNote, boolean isViewed, boolean isSecret)` | A video note message.
`MessageVideoNote​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### videoNote

public TdApi.VideoNote videoNote
The video note description.

### isViewed

public boolean isViewed
True, if at least one of the recipients has viewed the video note.

### isSecret

public boolean isSecret
True, if the video note thumbnail must be blurred and the video note must be shown only while tapped.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### MessageVideoNote

public MessageVideoNote()
A video note message.

### MessageVideoNote

public MessageVideoNote​(TdApi.VideoNote videoNote, boolean isViewed, boolean isSecret)
A video note message.

Parameters:
  `videoNote` - VideoNote The video note description.
  `isViewed` - boolean True, if at least one of the recipients has viewed the video note.
  `isSecret` - boolean True, if the video note thumbnail must be blurred and the video note must be shown only while tapped.

### MessageVideoNote

public MessageVideoNote​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`